#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: HTTP
version: 4000.3.11
id: HTTP-4000.3.11-39dDTzIYsjvExch366nw48
key: HTTP-4000.3.11-39dDTzIYsjvExch366nw48
license: BSD-3-Clause
maintainer: Ganesh Sittampalam <ganesh@earth.li>
author: Warrick Gray <warrick.gray@hotmail.com>
homepage: https://github.com/haskell/HTTP
synopsis: A library for client-side HTTP
description:
    The HTTP package supports client-side web programming in Haskell. It lets you set up
    HTTP connections, transmitting requests and processing the responses coming back, all
    from within the comforts of Haskell. It'\''s dependent on the network package to operate,
    but other than that, the implementation is all written in Haskell.
    .
    A basic API for issuing single HTTP requests + receiving responses is provided. On top
    of that, a session-level abstraction is also on offer  (the @BrowserAction@ monad);
    it taking care of handling the management of persistent connections, proxies,
    state (cookies) and authentication credentials required to handle multi-step
    interactions with a web server.
    .
    The representation of the bytes flowing across is extensible via the use of a type class,
    letting you pick the representation of requests and responses that best fits your use.
    Some pre-packaged, common instances are provided for you (@ByteString@, @String@).
    .
    Here'\''s an example use:
    .
    >
    >    do
    >      rsp <- Network.HTTP.simpleHTTP (getRequest "http://www.haskell.org/")
    >              -- fetch document and return it (as a '\''String'\''.)
    >      fmap (take 100) (getResponseBody rsp)
    >
    >    do
    >      (_, rsp)
    >         <- Network.Browser.browse $ do
    >               setAllowRedirects True -- handle HTTP redirects
    >               request $ getRequest "http://www.haskell.org/"
    >      return (take 100 (rspBody rsp))
    .
    __Note:__ This package does not support HTTPS connections.
    If you need HTTPS, take a look at the following packages:
    .
    * <http://hackage.haskell.org/package/http-streams http-streams>
    .
    * <http://hackage.haskell.org/package/http-client http-client> (in combination with
    <http://hackage.haskell.org/package/http-client-tls http-client-tls>)
    .
    * <http://hackage.haskell.org/package/req req>
    .
    * <http://hackage.haskell.org/package/wreq wreq>
    .
category: Network
abi: a74374d4b68be64b7ef564ff3e0fa539
exposed: True
exposed-modules:
    Network.Browser Network.BufferType Network.HTTP Network.HTTP.Auth
    Network.HTTP.Base Network.HTTP.Cookie Network.HTTP.HandleStream
    Network.HTTP.Headers Network.HTTP.Proxy Network.HTTP.Stream
    Network.Stream Network.StreamDebugger Network.StreamSocket
    Network.TCP
hidden-modules: Network.HTTP.Base64 Network.HTTP.MD5Aux
                Network.HTTP.Utils Paths_HTTP
import-dirs: /usr/lib/ghc-8.4.2/site-local/HTTP-4000.3.11
library-dirs: /usr/lib/ghc-8.4.2/site-local/HTTP-4000.3.11
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/HTTP-4000.3.11
hs-libraries: HSHTTP-4000.3.11-39dDTzIYsjvExch366nw48
depends:
    base-4.11.1.0 parsec-3.1.13.0 array-0.5.2.0 bytestring-0.10.8.2
    time-1.8.0.2 mtl-2.2.2 network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    network-2.6.3.5-Ey5nELlCFMCCJfToLl8AVa
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             parsec-3.1.13.0=b976f306e11b572c7d5898bcff511199
             array-0.5.2.0=59560c027ff6ea5b7e467a38c579b575
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=d49fd54c7cc8ca7cdc7f65925221d670
             network-2.6.3.5-Ey5nELlCFMCCJfToLl8AVa=2ccacb7c7507f165c3f664c3e6d39bf6
haddock-interfaces: /usr/share/doc/haskell-http/html/HTTP.haddock
haddock-html: /usr/share/doc/haskell-http/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

